[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGetCellHintEvent

Event used to get cell hints.

## Declaration

Source position: grids.pas line 398

`type TGetCellHintEvent = procedure(`
`Sender: TObject;`
`ACol: Integer;`
`ARow: Integer;`
`var HintText: string`
`) of object;`

## Arguments

`Sender` |  | The grid for the notification.
`ACol` |  | Column index for the notification.
`ARow` |  | Row index for the notification.
`HintText` |  | Text displayed as hint for the cell.

## Description

TGetCellHintEvent is an object procedure type used to get a hint for a string grid cell. TGetCellHintEvent is the type used for the OnGetCellHint property in TCustomGrid.

Arguments passed to the procedure can be used to determine the content in HintText displayed as the cell hint.

## See also

TCustomGrid.OnGetCellHint |  | Gets the hint text for a cell.